// Welcome to your new AL extension.
// Remember that object names and IDs should be unique across all extensions.
// AL snippets start with t*, like tpageext - give them a try and happy coding!

pageextension 50100 "CustomerListExt" extends "Customer List"
{
    trigger OnOpenPage();
    var
        RefHelper: Codeunit "Reference Helper";
        RecRef: RecordRef;
    begin
        //RefHelper.IsExtensionInstalled('ALProject1', true);

        // Open table
        RefHelper.OpenRecRef(RecRef, 'Customer', false, CompanyName);

        // Insert dupont
        if not RefHelper.Get('DUPONT') then begin // you have to know the Primary Key of the table
            RecRef.Init();
            RefHelper.SetFieldValue('No.', 'DUPONT', false);
            RefHelper.SetFieldValue('Name', 'Mr. Dupont', false);
            RefHelper.SetFieldValue('Credit Limit (LCY)', 10000, false);
            RecRef.Insert(true);
            Message('Dupont Inserted');
        end else
            Message('Dupont already exists');

        // Search cystiler with balance
        RefHelper.SetFilter('Balance', '>0');
        if RecRef.FindFirst() then
            Message('Customer found sucessfully using Reference : ' + format(RefHelper.GetFieldValue('Name'))
                    + '\ Balance : ' + format(RefHelper.GetFieldValue('Balance')))
        else
            Message('Unable to found Customer with balance > 0');
    end;
}